#[derive(Debug, Clone)]
pub struct ServerSettings {
    pub implementation: String,
    pub version: Vec<i32>,
    pub sasl: Vec<Methods>,
    pub capabilities: Vec<String>,
    pub notify: Vec<String>,
    pub max_redirects: u32,
}

#[derive(Debug, Clone, Copy)]
pub enum Methods {
    Plain,
    OAuthbearer,
}
